Bug 1503466 - SELinux is preventing qemu-system-x86 from 'read' accesses on the soubor cmdline.
Summary: SELinux is preventing qemu-system-x86 from 'read' accesses on the soubor cmdl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1578221644b059be1b5facc7e57...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-18 08:14 UTC by Kamil Páral
Modified: 2017-10-31 15:38 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-283.14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 15:38:05 UTC


Attachments (Terms of Use)

Description Kamil Páral 2017-10-18 08:14:04 UTC
Description of problem:
Running gnome-boxes.
SELinux is preventing qemu-system-x86 from 'read' accesses on the soubor cmdline.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that qemu-system-x86 should be allowed read access on the cmdline file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c520,c657
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                cmdline [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.10.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.6-300.fc27.x86_64 #1 SMP Thu
                              Oct 12 16:10:48 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-10-18 10:13:05 CEST
Last Seen                     2017-10-18 10:13:05 CEST
Local ID                      46c0d7e3-76fa-4cda-a425-311aed4ec50a

Raw Audit Messages
type=AVC msg=audit(1508314385.306:261): avc:  denied  { read } for  pid=4637 comm="qemu-system-x86" name="cmdline" dev="proc" ino=109190 scontext=unconfined_u:unconfined_r:svirt_t:s0:c520,c657 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=file permissive=1


Hash: qemu-system-x86,svirt_t,unconfined_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-283.10.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.6-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1470631

Comment 1 Kamil Páral 2017-10-24 14:20:12 UTC
Description of problem:
This happens every time I shut down a VM in gnome-boxes.

Version-Release number of selected component:
selinux-policy-3.13.1-283.10.fc27.noarch

Additional info:
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.8-300.fc27.x86_64
type:           libreport

Comment 2 Fedora Update System 2017-10-25 10:15:58 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:47:16 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:38:05 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.